import { AxiosResponse } from 'axios'
import { ContentType, HttpClient, RequestParams } from "/@/api/admin/http-client";
import { alarmRluesFilterModel,PageInputAlarmRluesFilterModel } from "/@/api/admin/AlarmService/alarmRulesDto";

export class alarmRulesApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {

    /**
     * No description
     *
     * @tags
     * @name updateForm
     * @summary 新建规则
     * @request POST:
     * @secure
     */
    addForm = (data: alarmRluesFilterModel, params: RequestParams = {}) =>
        this.request<AxiosResponse, any>({
            path: '/api/app/push/upload-push-rule',
            method: 'POST',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params
        })



    /**
 * No description
 *
 * @tags
 * @name getData
 * @summary 查询规则
 * @request POST:
 * @secure
 */
    getData = (data: PageInputAlarmRluesFilterModel, params: RequestParams = {}) =>
        this.request<alarmRluesFilterModel, any>({
            path: '/api/app/push/get-push-rule',
            method: 'POST',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params
        })

        /**
 * No description
 *
 * @tags
 * @name deliteData
 * @summary 删除规则
 * @request POST:
 * @secure
 */
        deliteData = (
            data?: {
              /** @format int64 */
              id?: number
            },
            params: RequestParams = {}
          ) =>
            this.request<AxiosResponse, any>({
              path: `/api/app/push/delete-push-rule`,
              method: 'POST',
              body: data,
              secure: true,
              type: ContentType.Json,
              ...params,
            })

}

