import {ContentType, HttpClient, RequestParams,} from "/@/api/admin/http-client";
import {AxiosResponse} from "axios/index";

export class FuelingFtpAPI<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  /**
   * No description
   *
   * @tags
   * @name getFtpPwd
   * @summary 获取FTP密码
   * @request POST:/api/app/fuel-ftp/get-fuel-ftp-key
   * @secure
   */
  getFtpPwd = (params: RequestParams = {}) =>
    this.request<AxiosResponse,any>({
        path:'/api/app/fuel-ftp/get-fuel-ftp-key',
        method: 'POST',
        secure: true,
        type: ContentType.Json,
        format: 'json',
        ...params
      }
    )

  /**
   * No description
   *
   * @tags
   * @name getFtpPwdofDate
   * @summary 获取非当天FTP密码
   * @request POST:/api/app/fuel-ftp/get-fuel-ftp-key-of-date
   * @secure
   */

    getFtpPwdofDate = (data: any, params: RequestParams = {}) =>
      this.request<AxiosResponse, any>({
        path: `/api/app/fuel-ftp/get-fuel-ftp-key-of-date`,
        method: 'POST',
        query: data,
        secure: true,
        type: ContentType.Json,
        ...params,
      })
    
    /**
   * No description
   *
   * @tags
   * @name getFtpDate
   * @summary 获取FTP密码申请记录
   * @request POST:/api/app/fuel-ftp-psw-record/get-fuel-ftp-psw-page
   * @secure
   */
    getFtpDate = (data:any,params: RequestParams = {}) =>
    this.request<AxiosResponse,any>({
        path:'/api/app/fuel-ftp-psw-record/get-fuel-ftp-psw-page',
        method: 'POST',
        body:data,
        secure: true,
        type: ContentType.Json,
        format: 'json',
        ...params
      }
    )
    /**
   * No description
   *
   * @tags
   * @name insertFtpDate
   * @summary 添加FTP密码申请记录
   * @request POST:/api/app/fuel-ftp-psw-record/insert-fuel-ftp-psw-record
   * @secure
   */
    insertFtpDate = (data:any,params: RequestParams = {}) =>
      this.request<AxiosResponse,any>({
          path:'/api/app/fuel-ftp-psw-record/insert-fuel-ftp-psw-record',
          method: 'POST',
          body:data,
          secure: true,
          type: ContentType.Json,
          format: 'json',
          ...params
        }
      )
}
