import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputAlarmFilterModel,alarmFilterModel} from "/@/api/admin/reportManagement/alarm/alarmDto";

export class AlarmApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{
  timer = 500
  /**
   * No description
   *
   * @tags
   * @name getPageData
   * @summary 分页查询
   * @request GET:
   * @secure
   */

  getPage = (data: PageInputAlarmFilterModel, params: RequestParams = {}) =>
    this.request<alarmFilterModel, any>({
      path: `/api/app/fuel-dispenser/get-alarm-history-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
}






