/**
 *  报警管理
 *  数据对象的Dto
 * */

/**
 * And=0,Or=1
 * @format int32
 */
export type DynamicFilterLogic = 0 | 1

/**
 * Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18
 * @format int32
 */
export type DynamicFilterOperator = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
export interface DynamicFilterInfo {
  field?: string | null
  /** Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18 */
  operator?: DynamicFilterOperator
  value?: string
  /** And=0,Or=1 */
  logic?: DynamicFilterLogic
  filters?: DynamicFilterInfo[] | null
}

/**
 * 列表查询信息
 */
export  interface alarmFilterModel_SearchFilter{
    /**油机id */
    fuelld?: string,
    /**加油站 */
    gasStation?: string,
    /**油机号*/
    name?: string,
    /**序列号*/
    serialNumber?: string,
    /**报警来源 */
    alarmSource?: string,
    /**报警类型 */
    alarmType?: string,
    /**报警描述 */
    alarmDescription?: string,
    /**报警设备	 */
    alarmDevice?: string,
    /** 油枪*/
    nozzleControlName?: string,
    /**创建开始的时间 */
    CreateBeginTime?: string,
    /**创建结束的时间 */
    CreateEndTime?: string,
  }
  
  /**
   * 列表信息
   */
  export interface alarmFilterModel {
        /**油机id */
        fuelld?: string | null ,
        /**加油站 */
        gasStation?: string | null ,
        /**油机号*/
        name?: string | null ,
        /**序列号*/
        serialNumber?: string | null ,
        /**报警来源 */
        alarmSource?: string | null ,
        /**报警类型 */
        alarmType?: string | null ,
        /**报警描述 */
        alarmDescription?: string | null ,
        /**报警设备	 */
        alarmDevice?: string | null ,
        /** 油枪*/
        nozzleControlName?: string | null ,
        /**创建时间 */
        createdDate?: string | null ,
        /**报警历史ID */
        alarmHistoryID?: string | null ,
  }

/** 分页信息输出*/
export interface PageOutputAlarmFilterModel{
    /**
     * 数据总数
     * @format int64
     */
    total?: number
    /** 数据 */
    list?: alarmFilterModel[] | null
  }
  
/**结果输出*/
export interface ResultOutputPageOutputAlarmFilterModel{
/** 是否成功标记 */
success?: boolean
/** 编码 */
code?: string | null
/** 消息 */
msg?: string | null
/** 分页信息输出 */
data?: PageOutputAlarmFilterModel
}
  
/** 分页信息输入 */
export interface PageInputAlarmFilterModel{
/**
 * 当前页标
 * @format int32
 */
currentPage?: number
/**
 * 每页大小
 * @format int32
 */
pageSize?: number
dynamicFilter?: DynamicFilterInfo
filter?: alarmFilterModel_SearchFilter
}
  
  

