/**
 * 设备管理 - 编码器
 *  数据对象的Dto
 * */

/**
 * And=0,Or=1
 * @format int32
 */
export type DynamicFilterLogic = 0 | 1

/**
 * Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18
 * @format int32
 */
export type DynamicFilterOperator = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
export interface DynamicFilterInfo {
  field?: string | null
  /** Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18 */
  operator?: DynamicFilterOperator
  value?: string
  /** And=0,Or=1 */
  logic?: DynamicFilterLogic
  filters?: DynamicFilterInfo[] | null
}

/**
 * 编码器列表查询信息
 */
export interface encoderFilterModel_SearchFilter{
  /**设备类型 */
  deviceType?:string | null,
  /**在线状态 */
  onlineStatus?:string | null,
  /**设备状态 */
  deviceStatus?:string | null,
  /**序列号 */
  sn?:string | null,
  /**设备报警级别 */
  deviceAlarmLevel?:string | null
}
  
  /**
   * 油机列表信息
   */
  export interface encoderFilterModel {
    /** 序列号 */
    sn?: number | null ,
    /** 石油公司 */
    companyName?: string | null ,
    /** 加油站名称 */
    stationName?: string | null ,
    /** 加油机厂商 */
    supplierName?: string | null ,
    /** 编码器厂商 */
    manufacturerName?: string | null ,
    /** 油枪号 */
    nozzleconName?: string | null ,
    /** 编码器编号 */
    uuid?: string | null ,
    /** 编码器状态 */
    deviceStatus?: string | null ,
    /** 在线状态 */
    onlineStatus?: string | null ,
    /** 安装时间 */
    soldTime?: string | null ,
    /** 出场时间 */
    productTime?: string | null 
  }

/** 分页信息输入 */
export interface PageInputEncoderFilterModel{
    /**
     * 当前页标
     * @format int32
     */
    CurrentPage?: number
    /**
     * 每页大小
     * @format int32
     */
    PageSize?: number
    dynamicFilter?: DynamicFilterInfo
    filter?: encoderFilterModel_SearchFilter
    }

/** 分页信息输出*/
export interface PageOutputEncoderFilterModel{
    /**
     * 数据总数
     * @format int64
     */
    total?: number
    /** 数据 */
    data?: encoderFilterModel[] | null
  }
  
/**结果输出*/
export interface ResultOutputPageOutputEncoderFilterModel{
/** 是否成功标记 */
success?: boolean
/** 编码 */
code?: string | null
/** 消息 */
msg?: string | null
/** 分页信息输出 */
data?: encoderFilterModel[] | null
}
