/**
 * 设备管理 - 加油枪
 *  数据对象的Dto
 * */

/**
 * And=0,Or=1
 * @format int32
 */
export type DynamicFilterLogic = 0 | 1

/**
 * Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18
 * @format int32
 */
export type DynamicFilterOperator = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
export interface DynamicFilterInfo {
  field?: string | null
  /** Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18 */
  operator?: DynamicFilterOperator
  value?: string
  /** And=0,Or=1 */
  logic?: DynamicFilterLogic
  filters?: DynamicFilterInfo[] | null
}

/**
 * 列表查询信息
 */
export  interface oilGunFilterModel_SearchFilter{
    /**石油公司*/
    CompanyName?: string,
    /**油枪号*/
    name?: string,
    /**在线状态 */
    onlineStatus?:string,
    /**加油站名称*/
    StationName?: string,
    /**出厂开始的时间 */
    OutBeginTime: string,
    /**出厂结束的时间 */
    OutEndTime: string,
  }
  
  /**
   * 列表信息
   */
  export interface oilGunFilterModel {
    /** 油枪号 */
    name?: string | null ,
    /** 石油公司 */
    companyName?: string | null ,
    /** 加油站名称 */
    stationName?: string | null ,
    /** 油品 */
    fuelName?: string | null ,
    /** 编码 */
    code?: string | null ,
    /** 自锁 */
    alarming?: string | null ,
    /** 油机号 */
    fuelId?: number | null ,
    /** 加油机厂商 */
    supplierName?: string | null ,
    /** 在线状态 */
    onlineStatus?: string | null ,
    /** 作弊状态 */
    cheatStatus?: string | null ,
    /** 监控微处理器编号 */
    monitoringUUID?: string | null ,
    /** 加密显示屏编号 */
    displayControlsUUID?: string | null ,
    /** 编码器编号 */
    encoderControlsUUID?: string | null ,
    /** 出厂时间 */
    productTime?: string | null ,
    /** 安装时间 */
    soldTime?: string | null 
  }

/** 分页信息输出*/
export interface PageOutputoilGunFilterModel{
    /**
     * 数据总数
     * @format int64
     */
    total?: number
    /** 数据 */
    list?: oilGunFilterModel[] | null
  }
  
/**结果输出*/
export interface ResultOutputPageOutputoilGunFilterModel{
/** 是否成功标记 */
success?: boolean
/** 编码 */
code?: string | null
/** 消息 */
msg?: string | null
/** 分页信息输出 */
data?: PageOutputoilGunFilterModel
}
  
/** 分页信息输入 */
export interface PageInputoilGunFilterModel{
/**
 * 当前页标
 * @format int32
 */
currentPage?: number
/**
 * 每页大小
 * @format int32
 */
pageSize?: number
dynamicFilter?: DynamicFilterInfo
filter?: oilGunFilterModel_SearchFilter
}
  
  

